package com.sapportals.pdk;


import java.util.HashMap;
import com.sapportals.portal.security.usermanagement.AbstractBackendConnection;
import com.sapportals.portal.security.usermanagement.UserManagementException;

/**
 * Title:       BasicBackendConnection
 * Description:  This class provides the default implementation to get the user
 * mapping properties. This can be used if only user and password are requried.
 * However there should be an entry in the landscape in the name of the parameter
 * passed to the constructor.
 *
 * Copyright:    Copyright (c) 2001
 * Company:      SAP Portals
 * @version 1.0
 */

public class backend extends AbstractBackendConnection {
/**
 * Creates the basicbackend object for the backend system passed
 * @param String backend system for which user and password must be obtained.
 */
  protected HashMap data;
  protected String strBackend;
  public backend(String backend) {
   strBackend=backend;
   data=null;
  }
  public void setLogonData(HashMap parm1) {
    data=parm1;
  }
  public void logoff() {
   //nothing to do
  }
  public String getRemoteApplication() {
    return strBackend;
  }
  public void connect() throws com.sapportals.portal.security.usermanagement.UserManagementException {
   //nothing to do
  }
  /**
   * Returns the backend user
   * @return String backend user
   */
  public String getUser(){
   if(data != null)
    return (String) data.get("user");

   return null;
  }
  /**
   * Returns the backend user's password
   * @return String password
   */
  public String getPassword(){
   if(data != null)
    return (String) data.get("mappedpassword");

   return null;
  }
}